Skip to main content
POST
/
token
curl --request POST \
  --url https://api.cello.so/token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accessKeyId": "<accessKeyId>",
  "secretAccessKey": "<secretAccessKey>"
}
'
{
"accessToken": "<accessToken>",
"refreshToken": "<refreshToken>",
"expiresIn": 18000,
"refreshTokenExpiresIn": 432000
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
  • Option 1
  • Option 2

Use this schema to exchange accessKeyId and secretAccessKey for tokens.

accessKeyId
string
required
secretAccessKey
string
required

Response

Tokens issued

  • Option 1
  • Option 2

Returned when exchanging accessKeyId and secretAccessKey for tokens.

accessToken
string
required
refreshToken
string
required
expiresIn
integer
required
refreshTokenExpiresIn
integer
required